#ifndef __SharedResource__
#define __SharedResource__

#ifndef CORE_DLL 
    #ifdef CORE_BUILD
	    #define CORE_DLL __declspec(dllexport)
    #else
	    #define CORE_DLL __declspec(dllimport)
        #pragma comment(lib, "Core.lib")
    #endif
#endif


class CORE_DLL SharedResource {
public:
	SharedResource();
	virtual ~SharedResource();

	void lock();
	void unlock();

	bool tryLock();

private:
	void* _handle;
};


#endif